stages:
  - build
  - cleanup_build
  - test
  - deploy
  - cleanup
.group_windows_runners:
 tags:
  - Windows

build_job:
  stage: build
  script:
    - whoami

test_job:
  stage: test
  script:
    - make test

deploy_job:
  stage: deploy
  script:
    - make deploy
  when: manual